Skip to content
GET/api/v1/tags/{id}

Get a hashtag

Mastodon compatible Supports _pe User token

Path parameters

idstringrequired

Query parameters

_peboolean

Returns

curl "https://pixelfed.social/api/v1/tags/goldenhour" \
  -H "Accept: application/json" \
  -H "Authorization: Bearer $TOKEN"
Response
{
  "name": "goldenhour",
  "url": "https://pixelfed.social/i/web/hashtag/goldenhour",
  "history": [],
  "following": true
}
GET/api/v1/followed_tags

List followed hashtags

Mastodon compatible User token

Query parameters

limitinteger

cursorstring

Returns

curl "https://pixelfed.social/api/v1/followed_tags?limit=50" \
  -H "Accept: application/json" \
  -H "Authorization: Bearer $TOKEN"
Response
[{
  "name": "goldenhour",
  "url": "https://pixelfed.social/i/web/hashtag/goldenhour",
  "history": [],
  "following": true
}, {
  "name": "filmphotography",
  "url": "https://pixelfed.social/i/web/hashtag/filmphotography",
  "history": [],
  "following": true
}]
POST/api/v1/tags/{id}/follow

Follow a hashtag

Mastodon compatible User token

Path parameters

idstringrequired

Returns

curl -X POST "https://pixelfed.social/api/v1/tags/goldenhour/follow" \
  -H "Accept: application/json" \
  -H "Authorization: Bearer $TOKEN"
Response
{
  "name": "goldenhour",
  "url": "https://pixelfed.social/i/web/hashtag/goldenhour",
  "history": [],
  "following": true
}
POST/api/v1/tags/{id}/unfollow

Unfollow a hashtag

Mastodon compatible User token

Path parameters

idstringrequired

Returns

curl -X POST "https://pixelfed.social/api/v1/tags/goldenhour/unfollow" \
  -H "Accept: application/json" \
  -H "Authorization: Bearer $TOKEN"
Response
{
  "name": "goldenhour",
  "url": "https://pixelfed.social/i/web/hashtag/goldenhour",
  "history": [],
  "following": false
}
Pixelfed is free and open source software. Edit this page Report a docs issue